More background colours

Atto ::: atto_morebackcolors
Maintained by Nicolas Dunand
This is intended to be a replacement for the core backcolor Atto plugin, allowing the Moodle administrator to freely define a set of colours that can be used by users.
Latest release:
2429 sites
745 downloads
44 fans
Moodle 2.7, 2.8, 2.9, 3.0, 3.1, 3.2, 3.3, 3.4, 3.5, 3.6, 3.7, 3.8, 3.9

This is intended to be a replacement for the core backcolor Atto plugin, allowing the Moodle administrator to freely define a set of colours that can be used by users.

It is based on the atto_morefontcolors plugin by Nicolas Dunand.


Screenshots

Screenshot #0

Contributors

Nicolas Dunand (Lead maintainer)
Michael Aherne: Original author
RISET Université de Lausanne: Supporting institution
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Mon, Aug 10, 2015, 11:07 PM

    Thanks Michael for sharing this plugin with the community. It seems that most of the coding style errors reported above are caused by the fact that you use tabs (instead of fours spaces) to indent the code. Please check the Moodle coding style guide for more details.

    I found no approval blockers during the usability testing and the code review, well done on that. You are cleared to land now, welcome to the Plugins directory!

  • Mon, Aug 10, 2015, 11:51 PM
    Thanks, David! I thought I'd got rid of the whitespace errors - they were caused by a wonky IDE configuration - but I seem to have missed a couple of files. I'll get a fixed version uploaded tomorrow.
  • Tue, Jan 5, 2016, 2:15 AM
    Just noticed a slight error in the included READ.me file. It says to add 'morebackcolours' to the Atto toolbar settings, which will not work. Remove the 'u' in colors so that you have 'morebackcolors' and then it will work okay. Thanks for the plugin!
  • Tue, Jan 5, 2016, 10:58 PM
    Thanks for pointing that out! I've fixed it in the master branch of the code and it'll be in the next release of the plugin.
  • Mon, Jan 15, 2018, 11:49 PM
    Thanks for the handy plugin! How can I set a transparent background color? Sometimes this is very important, but at the moment this seems to be impossible.
  • Fri, Apr 12, 2019, 10:35 PM
    Hello, can you tell us if the plugin will support version 3.6 of Moodle in a near future ?
  • Mon, Apr 15, 2019, 12:35 PM
    Hello Eric,
    No official Moodle 3.6 support is planned, but our initial testing shows that it should work fine. An updated version for Moodle 3.7 will be released this summer.
  • Thu, Apr 30, 2020, 2:23 AM
    Is this Moodle 3.8 ready?
  • Thu, Apr 30, 2020, 12:54 PM
    Hi Ian, it think it should work in Moodle 3.8 but since our release circle is yearly I plan to upgrade this plugin to guarantee Moodle 3.9 support when it is released.
  • Fri, Feb 5, 2021, 12:39 PM
    Great! Still works on Moodle 3.10.
Please login to post comments